public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-proxy/shadowsocks-libev/
Date: Sun, 27 Sep 2020 08:49:14 +0000 (UTC)	[thread overview]
Message-ID: <1601196545.116fe80ef9a6cd263ce99bc1ee953f9f3e7519cf.dlan@gentoo> (raw)

commit:     116fe80ef9a6cd263ce99bc1ee953f9f3e7519cf
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 27 08:44:49 2020 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Sep 27 08:49:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=116fe80e

net-proxy/shadowsocks-libev: version bump, 3.3.5

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-proxy/shadowsocks-libev/Manifest               |  1 +
 .../shadowsocks-libev-3.3.5.ebuild                 | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/net-proxy/shadowsocks-libev/Manifest b/net-proxy/shadowsocks-libev/Manifest
index d12e7601a42..7d41f1878af 100644
--- a/net-proxy/shadowsocks-libev/Manifest
+++ b/net-proxy/shadowsocks-libev/Manifest
@@ -1 +1,2 @@
 DIST shadowsocks-libev-3.3.4.tar.gz 279666 BLAKE2B ea698a3cf29ed0b1268d17e25a492712cb90f515068de2f74d200ab04bb0d5ca859ea1d7f071714cc1c8dced0e566df4bfea0d780e24c9398f93ab1e362ec466 SHA512 4fb9e4a62f86f1504aab71022b5078a1f97b1f14da82c7b456dc9eaed23be990430769f37b7c2855c266be40ec215237bb0a40d254dffac8556ec4719cc9aa6d
+DIST shadowsocks-libev-3.3.5.tar.gz 303368 BLAKE2B bb7d6e64596710402db94085044c20315028395723828fa82dfba419bc41a0c740ece1f79c6cf05dda395d9442d553429f66d7f7b2de3cdd188d5b6adb0b8edf SHA512 c0cc869b4b7661ebd348bd5559c6a17c44b66a5f42374d97023adcfb525d934da3ed96245ff792ebc74870d30dd8f71fadcd89c79b2cd8a98d551ff7592508d0

diff --git a/net-proxy/shadowsocks-libev/shadowsocks-libev-3.3.5.ebuild b/net-proxy/shadowsocks-libev/shadowsocks-libev-3.3.5.ebuild
new file mode 100644
index 00000000000..5349e2ab840
--- /dev/null
+++ b/net-proxy/shadowsocks-libev/shadowsocks-libev-3.3.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PV="v${PV}"
+inherit autotools eutils systemd
+
+DESCRIPTION="A lightweight secured SOCKS5 proxy for embedded devices and low end boxes"
+HOMEPAGE="https://github.com/shadowsocks/shadowsocks-libev"
+
+#repack with git submodule populated: libbloom, libcork, libipset
+#SRC_URI="https://dev.gentoo.org/~dlan/distfiles/${P}.tar.xz"
+
+SRC_URI="https://github.com/shadowsocks/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="net-libs/mbedtls:=
+	>=net-libs/libbloom-1.6
+	net-libs/libcork
+	net-libs/libcorkipset
+	>=dev-libs/libsodium-1.0.8:=
+	dev-libs/libev
+	net-dns/c-ares
+	dev-libs/libpcre
+	"
+DEPEND="${RDEPEND}
+	sys-kernel/linux-headers
+	doc? (
+		app-text/asciidoc
+		app-text/xmlto
+	)
+	"
+
+src_prepare() {
+	sed -i -e 's|AC_CONFIG_FILES(\[libbloom/Makefile libcork/Makefile libipset/Makefile\])||' \
+		configure.ac || die
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local myconf="
+		$(use_enable debug assert)
+		--enable-system-shared-lib
+	"
+	use doc || myconf+="--disable-documentation"
+	econf ${myconf}
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -type f -delete || die
+
+	insinto "/etc/${PN}"
+	newins "${FILESDIR}/shadowsocks.json" shadowsocks.json
+
+	newinitd "${FILESDIR}/shadowsocks.initd" shadowsocks
+	dosym shadowsocks /etc/init.d/shadowsocks.server
+	dosym shadowsocks /etc/init.d/shadowsocks.client
+	dosym shadowsocks /etc/init.d/shadowsocks.redir
+	dosym shadowsocks /etc/init.d/shadowsocks.tunnel
+
+	dodoc -r acl
+
+	for i in debian/${PN}*.service; do
+		systemd_newunit $i $(basename $i)
+	done
+}
+
+pkg_setup() {
+	elog "You need to choose the mode"
+	elog "  server: rc-update add shadowsocks.server default"
+	elog "  client: rc-update add shadowsocks.client default"
+	elog "  redir:  rc-update add shadowsocks.redir default"
+	elog "  tunnel: rc-update add shadowsocks.tunnel default"
+}


             reply	other threads:[~2020-09-27  8:49 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-27  8:49 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-03  1:23 [gentoo-commits] repo/gentoo:master commit in: net-proxy/shadowsocks-libev/ Yixun Lan
2021-01-14  8:20 Yixun Lan
2021-01-13 23:09 Yixun Lan
2020-02-15  7:21 Yixun Lan
2020-02-15  7:21 Yixun Lan
2020-01-22  6:22 Yixun Lan
2019-12-13  9:21 Yixun Lan
2019-11-16 10:29 Yixun Lan
2019-10-16  2:58 Yixun Lan
2019-10-16  2:58 Yixun Lan
2019-08-29  7:52 Yixun Lan
2019-06-24 22:06 Yixun Lan
2019-06-24 22:06 Yixun Lan
2019-03-20  1:44 Yixun Lan
2019-03-12  6:37 Yixun Lan
2019-03-07  3:24 Yixun Lan
2019-03-07  3:22 Yixun Lan
2019-01-24  9:17 Yixun Lan
2018-10-23 12:49 Benda XU
2018-05-31  5:53 Yixun Lan
2018-04-24 14:20 Yixun Lan
2018-03-13 22:04 Yixun Lan
2018-03-01 14:43 Yixun Lan
2018-03-01 10:40 Yixun Lan
2018-03-01 10:40 Yixun Lan
2017-11-26 23:23 David Seifert
2017-10-04  9:15 Michał Górny
2017-06-06 14:53 Yixun Lan
2017-01-19  9:49 Yixun Lan
2017-01-19  9:49 Yixun Lan
2016-11-24  2:40 Yixun Lan
2016-10-14 21:31 Yixun Lan
2016-10-14 21:31 Yixun Lan
2016-10-11  6:34 Yixun Lan
2016-09-07  1:48 Yixun Lan
2016-09-05  7:46 Yixun Lan
2016-09-05  7:46 Yixun Lan
2016-09-01 10:23 Jeroen Roovers
2016-07-09 13:01 Patrick Lauer
2016-06-30 22:03 Yixun Lan
2016-06-30 21:41 Yixun Lan
2016-03-27 17:48 Yixun Lan
2016-03-27 17:48 Yixun Lan
2016-03-27 17:48 Yixun Lan
2015-12-21  7:47 Yixun Lan
2015-08-11 15:08 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601196545.116fe80ef9a6cd263ce99bc1ee953f9f3e7519cf.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox